rabbitmq-server (3.10.8-4) unstable; urgency=medium

  * Add copytruncate to logrotate config file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Dec 2024 16:02:58 +0100

rabbitmq-server (3.10.8-3) unstable; urgency=high

  * CVE-2023-46118: Denial of Service by publishing large messages over the
    HTTP API. Applied upstream patches that introduce a limit of 10MB:
    - Reduce_default_HTTP_API_request_body_size_limit_to_10_MiB.patch
    - Introduce_HTTP_request_body_limit_for_definition_uploads.patch
    (Closes: #1056723).

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Nov 2023 08:31:07 +0100

rabbitmq-server (3.10.8-2) unstable; urgency=medium

  * Cleans better (Closes: #1046813).

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Aug 2023 11:50:05 +0200

rabbitmq-server (3.10.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:42:19 +0200

rabbitmq-server (3.10.8-1) unstable; urgency=medium

  * New upstream release:
    - Fix FTBFS with Erlang 25.
  * lets-use-python3-not-python-binary.patch: removed 2 hunks commited
    upstream.
  * Add OOMScoreAdjust=-500 to the .service file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2022 15:40:58 +0200

rabbitmq-server (3.9.13-1) unstable; urgency=medium

  * New upstream release.
  * Do not install rabbitmq-server-ha.ocf: it's removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Feb 2022 09:12:34 +0100

rabbitmq-server (3.9.8-6) unstable; urgency=medium

  * Use grep -q when checking for Erglang cookie.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jan 2022 23:32:11 +0100

rabbitmq-server (3.9.8-5) unstable; urgency=medium

  * Detect if /var/lib/rabbitmq/.erlang.cookie is an Erlang generated cookie,
    regenerate and restart rabbitmq it in such case.

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Jan 2022 14:14:56 +0100

rabbitmq-server (3.9.8-4) unstable; urgency=medium

  * Use umask when creating the .erlang.cookie to avoid race condition where
    the file could be read.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Jan 2022 13:24:50 +0100

rabbitmq-server (3.9.8-3) unstable; urgency=medium

  * Use OpenSSL to generate the default .erlang.cookie.
  * Set rabbitmq-server.service to depend on epmd.socket and not epmd@.socket.
  * Add a debian/README.Debian to explain how to secure a RabbitMQ cluster, as
    it's been pointed out that upstream doc isn't good enough to explain what
    is necessar for it (Closes: #924768).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Jan 2022 10:05:34 +0100

rabbitmq-server (3.9.8-2) unstable; urgency=medium

  * Finished removing the $LANG wrapper (Closes: #947872).
  * Do not mv /etc/rabbitmq/rabbitmq.conf /etc/rabbitmq/rabbitmq-env.conf
    anymore (Closes: #943699).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 19:08:01 +0100

rabbitmq-server (3.9.8-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version to 4.6.0, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Nov 2021 16:52:40 +0000

rabbitmq-server (3.9.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add a superficial autopkgtest.
    It just tests that the service is active after installation. This is not
    great test coverage, but it will at least stop new erlang versions from
    migrating before rabbitmq-server is fixed to work with it.
  * debian/changelog: add missing Closes: tag in the previous upload.
    I have just closed the actual bug via a separate control email.

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 25 Sep 2021 06:38:37 -0300

rabbitmq-server (3.9.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depends: fix typo in erlang version that makes rabbitmq-server
    uninstallable (s/1:24.4/1:24.0/) (Closes: #993138)

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 27 Aug 2021 15:30:41 -0300

rabbitmq-server (3.9.4-1) unstable; urgency=medium

  * New upstream release:
    - Works with Erlang 24 (Closes: #992609).
  * Remove debian/patches/Upstream_PR2965_fixing_rabbitmqctl_parsing applied
    upstream.
  * Remove hunk from lets-use-python3-not-python-binary.patch as one upstream
    file is gone.
  * (build-)depends on erlang >= 1:24.0 and elixir >= 1.12.2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Aug 2021 17:32:09 +0200

rabbitmq-server (3.8.9-3) unstable; urgency=medium

  [ Adam Cecile ]
  * Merge upstream PR #2965 fixing rabbitmqctl parsing bug. (Closes: #986734)

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Apr 2021 22:59:57 +0200

rabbitmq-server (3.8.9-2) unstable; urgency=medium

  * Do not use the /usr/sbin/rabbitmq-server wrapper in systemd service file
    (Closes: #947873).
  * Use logrotate daily instead of weekly, and do not override the number of
    logs, so we don't keep too much of them.
  * Do not use a sharedscripts, as rabbitmq-server detects the log rotation
    by itself (LP: #1921425).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Mar 2021 14:24:52 +0100

rabbitmq-server (3.8.9-1) unstable; urgency=medium

  * New upstream release.
  * Rebased lets-use-python3-not-python-binary.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 09:30:46 +0200

rabbitmq-server (3.8.5-1) unstable; urgency=medium

  * New upstream release:
    - Ships new version of the Prometheus plugin that works with Erlang
      version 23 (Closes: #964038).
  * Re-add debian/gbp.conf as the package is using pristine-tar.
  * Rebased lets-use-python3-not-python-binary.patch.
  * Add rabbitmq-dist.mk.patch to fix build with make 4.3 (Closes: #964636).

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Jul 2020 12:57:57 +0200

rabbitmq-server (3.8.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Remove gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Resolve issues with startup of RabbitMQ with erlang provided
    epmd daemon. See Ubuntu bug:
    https://bugs.launchpad.net/ubuntu/+source/rabbitmq-server/+bug/1808766

  [ James Page ]
  * Merge changes from Ubuntu.
  * New upstream release (3.8.2):
    - d/rules: Install new scripts.
  * d/rules: Drop --parallel usage, no longer needed.
  * d/control: Bump minimum erlang version inline with upstream
    requirements.

  [ Nicolas Bock ]
  * New upstream release (3.8.3).
  * d/watch: Fix watch file to download from GitHub
  * Fix timeout discrepancy between SysV and systemd (LP: #1874075)
    upstream, rabbitmq-server-release - 694540270c8
    - d/rabbitmq-server.init: Add RABBITMQ_STARTUP_TIMEOUT and default
      to 600.
    - d/rabbitmq-server.service: Default TimeoutStartSec to 600

  [ James Page ]
  * d/rules: Drop use of --with=systemd as its no longer needed.
  * d/rabbitmq-server.postinst,rabbitmq-server.postrm: Drop execute
    permission - debhelper deals with this as part of package build.
  * d/missing-sources: Add missing un-minified sources files for JS
    assets.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 May 2020 12:02:04 +0100

rabbitmq-server (3.7.18-1) unstable; urgency=medium

  * New upstream release.
    - Can be built with Elixir 1.9.x (Closes: #939881).
  * Re-add debian/gbp.conf, as this package must use pristine-tar.
  * Fix display of version when doing rabbitmqadmin --version. Used a different
    way from proposed patch which isn't invasive (Closes: #908690).
  * Using python3 as binary, not python (Closes: #883192).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2019 10:05:48 +0200

rabbitmq-server (3.7.8-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Also package rabbitmq-diagnostics.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Jun 2019 22:59:25 +0200

rabbitmq-server (3.7.8-4) unstable; urgency=medium

  * Remove Elixir version patch.
  * Build-depends on Elixir 1.6.6.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Oct 2018 08:28:31 +0000

rabbitmq-server (3.7.8-3) unstable; urgency=medium

  * Remove $LANG wrapper hack.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Oct 2018 10:25:25 +0100

rabbitmq-server (3.7.8-2) unstable; urgency=medium

  * Wrap rabbitmqctl to set $LANG and avoid warning.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Oct 2018 10:13:27 +0100

rabbitmq-server (3.7.8-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release:
    - Fix FTBFS with newer Erlang (Closes: #910623).
  * Fix the way to calculate upstream VERSION in debian/rules.
  * Switched rabbitmq-server.service to type notify, and other minor changes
    in this file (Closes: #812342), do not wait for timeout on shutdown either
    (Closes: #902136).
  * Updated debian/control for this release.
  * Bumped debhelper to 10.
  * Standards-Version is now 4.2.1.
  * Add patch to accept Elixir 1.6.5.
  * Also package manpages.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Oct 2018 18:39:10 +0200

rabbitmq-server (3.6.10-1) unstable; urgency=medium

  * New upstream release (Closes: #863586), fixing multiple issues:
    - CVE-2017-4965: XSS vulnerabilities in management UI
    - CVE-2017-4966: authentication details are stored in browser-local storage
      without expiration
    - CVE-2017-4967: XSS vulnerabilities in management UI

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Jun 2017 15:00:41 +0200

rabbitmq-server (3.6.6-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * New upstream release (Closes: #849849, CVE-2016-9877)
  * d/copyright: Fixed for new release
  * d/ocf: Removed, use upstream one

 -- Ondřej Kobližek <koblizeko@gmail.com>  Mon, 02 Jan 2017 15:49:03 +0100

rabbitmq-server (3.6.5-1) unstable; urgency=medium

  [ James Page ]
  * New upstream release (Closes: #812377):
    - Builds fine with the new erlang (Closes: #837241).
  * [fa2d29e] Update watch file for upstream xz compression. (Closes: #813628).
  * [b008e08] Imported Upstream version 3.6.0.
  * [d0dc477] Update gbp configuration for dch use.

  [ Thomas Goirand ]
  * Also packaging the rabbitmqadmin cli.
  * Do not do dh_auto_clean, as it removes all the deps folder.
  * Disabled tests, as they download from github.
  * Replaced git-core transition package by git in build-depends.
  * Added rsync as build-depends-indep.
  * Fix DESTDIR=$(DEB_DESTDIR) PREFIX=/usr as upstream Makefile changed.
  * Added python-all and dh-python as build-depends.
  * Update of debian/copyright for the new deps/* path from upstream, updated
    debian/* info and fixed order.
  * Copy some stuff from the upstream pacakging in debian/rules.
  * Runtime depends on lsb-base.
  * Overrides lintian false positive error js source missing.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * Fixed python shebang.
  * Standards-Version is 3.9.8 now (no change).

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Feb 2016 13:35:22 +0800

rabbitmq-server (3.5.7-1) unstable; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jan 2016 14:05:40 +0000

rabbitmq-server (3.5.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the default configuration file, which is read unconditionally on
    startup, readable by others. This makes it possible to run rabbitmq-server
    as users other than rabbitmq, e.g. when running test suites as part of
    package builds (Closes: #801917)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 31 Oct 2015 12:56:15 -0200

rabbitmq-server (3.5.4-3) unstable; urgency=medium

  * Fix /etc/rabbitmq creation (adding -p to mkdir for upgrades). Thanks to
    Frederic Peters for the bug report (Closes: #801088).

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Oct 2015 14:07:39 +0000

rabbitmq-server (3.5.4-2) unstable; urgency=medium

  * Cosmetic clean-up in debian/rabbitmq-server.postinst and .init.
  * Fix the user / group of /etc/rabbitmq folder and conf files.
  * Also fix user / group of an eventual /etc/rabbitmq/enabled_plugins when
    upgrading the package.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 15:47:58 +0200

rabbitmq-server (3.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Aug 2015 14:52:31 +0200

rabbitmq-server (3.5.1-2) unstable; urgency=medium

  [ Tony Breeds ]
  * systemd: Ensure that rabbitmq has started before marking service as
    running (LP: #1449056).

  [ James Page ]
  * systemd: Drop use of /etc/default/rabbitmq-server.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jun 2015 11:40:59 +0100

rabbitmq-server (3.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 13 May 2015 21:35:52 +0100

rabbitmq-server (3.4.3-2) unstable; urgency=medium

  * Restore missing changes from 3.4.2-4.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Feb 2015 07:44:33 +0200

rabbitmq-server (3.4.3-1) unstable; urgency=medium

  * New upstream point release.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Jan 2015 16:12:32 +0000

rabbitmq-server (3.4.2-4) unstable; urgency=medium

  * Re-added /usr/lib/erlang/lib /var/lib/rabbitmq/mnesia and
    /var/log/rabbitmq which I removed form the package by mistake on the last
    upload.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Jan 2015 13:11:02 +0000

rabbitmq-server (3.4.2-3) unstable; urgency=medium

  * Removes debian/README which is useless (Closes: #703021).
  * Provides a default /etc/rabbitmq/rabbitmq-env.conf (Closes: #543638).

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Jan 2015 15:08:08 +0100

rabbitmq-server (3.4.2-2) unstable; urgency=medium

  * d/rabbitmq-server.dirs: Restore missing /etc/rabbitmq directory
    (LP: #1410155).

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jan 2015 09:53:47 +0000

rabbitmq-server (3.4.2-1) unstable; urgency=medium

  [ James Page ]
  * New upstream point release.
  * d/control: Update for new maintainer information, add VCS repository
    locations.
  * d/source/format: Switch packaging to source format 3.0 (quilt).
  * d/compat,control: Bump debhelper compat level to 9.
  * d/*: wrap-and-sort.
  * d/*: Move to standard debhelper, drop use of cdbs.
  * d/rules,control,rabbitmq-server.service: Add systemd service
    configuration.
  * d/control: Bumped Standards-Version 3.9.6, no changes.

  [ Thomas Goirand ]
  * d/copyright: Rewrote as format 1.0.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 11:09:20 +0000

rabbitmq-server (3.4.1-1) unstable; urgency=high

  * New upstream release.

 -- Blair Hester <bhester@gopivotal.com>  Tue, 04 Nov 2014 07:33:44 +0100

rabbitmq-server (3.3.5-1) unstable; urgency=low

  * New upstream release:
    - Provides unminimized versions of all bundled Javascript
      libraries (Closes: #736781).
  * d/control: Added Blair Hester to Uploaders, dropped Emile Joubert
    (thanks for all your work Emile!).

 -- Blair Hester <bhester@gopivotal.com>  Tue, 12 Aug 2014 11:47:14 +0100

rabbitmq-server (3.3.4-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 24 Jun 2014 18:00:48 +0100

rabbitmq-server (3.3.3-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 17 Jun 2014 16:59:14 +0100

rabbitmq-server (3.3.1-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 29 Apr 2014 21:05:49 +0100

rabbitmq-server (3.3.0-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Wed, 02 Apr 2014 16:23:08 +0100

rabbitmq-server (3.2.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Bind on 127.0.0.1 by default, to avoid listening on all ipv6 interface with
    guest/guest as default configured user. Note that this only fixes *new*
    installation, and that any already existing setup will have to edit the
    /etc/rabbitmq/rabbitmq-env.conf manually if affected. (Closes: #727607)
  * Removed useless and deprecated DM-Upload field.
  * Cleans plugins-src/rabbitmq-server to be able to build twice. Also cleans
    debian/postrm which is generated from debian/postrm.in and plugins/README.

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2014 06:11:46 +0000

rabbitmq-server (3.2.4-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 04 Mar 2014 13:21:45 +0000

rabbitmq-server (3.2.3-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 23 Jan 2014 16:49:45 +0000

rabbitmq-server (3.2.2-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Wed, 11 Dec 2013 17:31:14 +0000

rabbitmq-server (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Mon, 11 Nov 2013 09:49:42 +0000

rabbitmq-server (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Wed, 23 Oct 2013 15:42:19 +0100

rabbitmq-server (3.1.4-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 07 Aug 2013 15:16:28 +0100

rabbitmq-server (3.1.3-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 27 Jun 2013 14:06:11 +0100

rabbitmq-server (3.1.2-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 25 Jun 2013 11:28:52 +0100

rabbitmq-server (3.1.1-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 28 May 2013 11:15:13 +0100

rabbitmq-server (3.1.0-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 02 May 2013 11:19:31 +0100

rabbitmq-server (3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Wed, 13 Mar 2013 10:53:18 +0000

rabbitmq-server (3.0.4-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Wed, 13 Mar 2013 10:53:18 +0000

rabbitmq-server (3.0.3-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 07 Mar 2013 10:03:31 +0000

rabbitmq-server (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 31 Jan 2013 15:28:12 +0000

rabbitmq-server (3.0.1-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 11 Dec 2012 15:47:52 +0000

rabbitmq-server (3.0.0-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Mon, 19 Nov 2012 11:42:31 +0000

rabbitmq-server (2.8.7-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 27 Sep 2012 16:28:21 +0100

rabbitmq-server (2.8.6-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Wed, 22 Aug 2012 13:28:21 +0100

rabbitmq-server (2.8.5-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 02 Aug 2012 16:12:21 +0100

rabbitmq-server (2.8.4-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Fri, 22 Jun 2012 17:48:28 +0100

rabbitmq-server (2.8.3-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Thu, 21 Jun 2012 13:38:57 +0100

rabbitmq-server (2.8.2-2) unstable; urgency=low

  * Add version numbers to plugins

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 01 May 2012 10:48:57 +0100

rabbitmq-server (2.8.2-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Mon, 30 Apr 2012 14:07:32 +0100

rabbitmq-server (2.8.1-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Fri, 23 Mar 2012 10:05:24 +0000

rabbitmq-server (2.8.0-1) unstable; urgency=low

  * New upstream release

 -- Emile Joubert <emile@rabbitmq.com>  Tue, 20 Mar 2012 11:55:10 +0000

rabbitmq-server (2.6.1-2) unstable; urgency=low

  * Add DM-Upload-Allowed flag to control file to allow Maintainer uploads

 -- John Leuner <jewel@debian.org>  Mon, 19 Mar 2012 21:13:54 +0200

rabbitmq-server (2.6.1-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Tue, 27 Sep 2011 17:53:57 +0200

rabbitmq-server (2.5.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Thu, 16 Jun 2011 09:55:40 +0200

rabbitmq-server (2.4.1-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Sat, 09 Apr 2011 09:34:06 +0200

rabbitmq-server (2.4.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Wed, 23 Mar 2011 21:11:17 +0200

rabbitmq-server (2.3.1-1) unstable; urgency=low

  * New upstream release, closes: #611253

 -- John Leuner <jewel@debian.org>  Sat, 05 Feb 2011 10:21:16 +0200

rabbitmq-server (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Thu, 02 Dec 2010 20:41:53 +0200

rabbitmq-server (2.1.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Mon, 27 Sep 2010 20:28:06 +0200

rabbitmq-server (2.0.0-2) unstable; urgency=low

  * Fix various scripts that were not updated correctly in
    - the 2.0.0-1 package, closes: #594724

 -- John Leuner <jewel@debian.org>  Thu, 02 Sep 2010 18:01:37 +0200

rabbitmq-server (2.0.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Sat, 28 Aug 2010 11:21:48 +0200

rabbitmq-server (1.8.1-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Sun, 01 Aug 2010 15:47:46 +0200

rabbitmq-server (1.8.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Thu, 24 Jun 2010 18:43:04 +0200

rabbitmq-server (1.7.0-3) unstable; urgency=low

  * Add missing entries in rabbitmq-server.init

 -- John Leuner <jewel@debian.org>  Sun, 25 Oct 2009 10:21:25 +0200

rabbitmq-server (1.7.0-2) unstable; urgency=low

  * moved debian/init.d to rabbitmq-server.init
  * included fixes to rabbitmq-script-wrapper

 -- John Leuner <jewel@debian.org>  Wed, 14 Oct 2009 12:23:52 +0200

rabbitmq-server (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Sat, 10 Oct 2009 13:28:39 +0200

rabbitmq-server (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Sat, 20 Jun 2009 12:22:17 +0200

rabbitmq-server (1.5.5-3) unstable; urgency=low

  *  debian/control: Reduce Erlang dependencies to just
     erlang-mnesia and erlang-os-mon, closes: #532867

 -- John Leuner <jewel@debian.org>  Tue, 16 Jun 2009 14:15:20 +0200

rabbitmq-server (1.5.5-2) unstable; urgency=low

  * Include updates to debian package by rabbit team:
    - quiet log rotate
    - update build-depends and depends for new erlang packages
    - debian/watch file
    - add rabbitmq-script-wrapper
    - update init.d scripts
    - clean /etc/rabbitmq in postrm

 -- John Leuner <jewel@debian.org>  Wed, 03 Jun 2009 12:23:50 +0200

rabbitmq-server (1.5.5-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Tue, 02 Jun 2009 12:53:32 +0200

rabbitmq-server (1.5.4-4) unstable; urgency=low

  * Add new dependency on erlang-os-mon to work with new erlang packages in
    debian

 -- John Leuner <jewel@debian.org>  Mon, 11 May 2009 21:20:04 +0200

rabbitmq-server (1.5.4-3) unstable; urgency=low

  * Previous partial upload failed

 -- John Leuner <jewel@debian.org>  Fri, 10 Apr 2009 20:25:51 +0200

rabbitmq-server (1.5.4-2) unstable; urgency=low

  * Fix incorrect changed-by field in .changes file

 -- John Leuner <jewel@debian.org>  Fri, 10 Apr 2009 19:40:04 +0200

rabbitmq-server (1.5.4-1) unstable; urgency=low

  * New upstream release

 -- John Leuner <jewel@debian.org>  Fri, 10 Apr 2009 17:54:21 +0200

rabbitmq-server (1.5.0-5) unstable; urgency=low

  * Include the full license for amqp-0.8.json in debian/copyright

 -- John Leuner <jewel@debian.org>  Fri, 27 Feb 2009 16:16:54 +0200

rabbitmq-server (1.5.0-4) unstable; urgency=low

  * Clarify and explicitly list the license and copyright for
    codegen/amqp-0.8.json

  * Explicitly list the authors and copyright for the rest of the codebase
    at the top of debian/copyright

  * Clarify the copyright of the files in src/tcp_* . The rabbitmq authors have
    confirmed that they are the original authors of this code and that the
    files at http://code.google.com/p/cacherl/ were taken without their
    knowledge from the rabbitmq project. (Comparing the commit dates in version
    control shows that cacherl is newer)

 -- John Leuner <jewel@debian.org>  Wed, 25 Feb 2009 13:10:15 +0200

rabbitmq-server (1.5.0-3) unstable; urgency=low

  * Previous changelog entry had an incorrect Maintainer name

 -- John Leuner <jewel@debian.org>  Wed, 28 Jan 2009 16:45:33 +0200

rabbitmq-server (1.5.0-2) unstable; urgency=low

  * Reupload package to unstable. Mistakenly uploaded to testing last time, closes: #507902

 -- John Leuner <jewel@debian.org>  Mon, 19 Jan 2009 17:38:43 +0200

rabbitmq-server (1.5.0-1) testing; urgency=low

  * New Upstream Release
  * First Debian upload, closes: #507902

 -- John Leuner <jewel@debian.org>  Wed, 17 Dec 2008 18:23:47 +0000
